/****************************************************************************
 *
 * Copyright (c) 2005-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package org.ow2.petals.jmx.exception;

import javax.management.ObjectName;

/**
 * @author Christophe Deneux - Cap Gemini
 */
public class PerformActionDoesNotExistException extends PerformActionErrorException {

    private static final long serialVersionUID = 3154892826641097573L;
    
    private final String action;
    private final ObjectName mbeanName;
    
    public PerformActionDoesNotExistException(final String action, final ObjectName mbeanName, final Throwable e) {
        super(e);
        this.action = action;
        this.mbeanName = mbeanName;
    }

    public String getAction() {
        return action;
    }

    public ObjectName getMbeanName() {
        return mbeanName;
    }
}
